######################################################################
divert(-1)
#
# Copyright (c) 1983 Eric P. Allman
# Copyright (c) 1988, 1993
#	The Regents of the University of California.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#	This product includes software developed by the University of
#	California, Berkeley and its contributors.
# 4. Neither the name of the University nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#

#
# This file is used to configure sendmail for use with Debian systems.
#

divert(0)
VERSIONID(`@(#)sendmail.mc	8.7 (Linux) 3/5/96')
OSTYPE(debian)dnl
FEATURE(masquerade_envelope)dnl
FEATURE(use_cw_file)dnl
FEATURE(use_ct_file)dnl
FEATURE(redirect)dnl
RELAY_DOMAIN(`my-domain.com')dnl
RELAY_DOMAIN(`my-otherdomain.com')dnl

define(`confME_TOO', True)dnl
define(`SMTP_MAILER_FLAGS', `e')dnl
define(`confCON_EXPENSIVE', True)dnl

define(`CYRUS_MAILER_FLAGS', `A5@/:|')dnl
define(`CYRUS_MAILER_PATH', `/usr/sbin/cyrdeliver')dnl
define(`CYRUS_MAILER_ARGS', `cyrdeliver -e -q -m $h -- $u ')dnl
define(`CYRUS_MAILER_USER', `cyrus:mail')dnl
define(`CYRUS_BB_MAILER_FLAGS', `')dnl
define(`CYRUS_BB_MAILER_ARGS', `cyrdeliver -e -q -m $u ')dnl

MAILER(local)dnl
MAILER(smtp)dnl
MAILER(cyrus)dnl



Cwmy-domain.com my-otherdomain.com
MASQUERADE_AS(my-domain.com)dnl

## Custom configurations below (will be preserved)

LOCAL_RULE_0
R$=I				$: $#cyrus $: $1
R$=I < @ $=w . >		$: $#cyrus $: $1
R$=I < @ $=R . >		$: $#cyrus $: $1
Rbb + $+ < @ $=w . >		$#cyrusbb $: $1

LOCAL_CONFIG
FI /etc/mail/imap_users  %[^\#]

# end of mc file
######################################################################
